slepc-3.21.1 2024-04-26
Report Typos and Errors

# STGetMatStructure

Gets the internal MatStructure attribute to indicate which is the relation of the sparsity pattern of the matrices.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetMatStructure(ST st,MatStructure *str)

Not Collective

### Input Parameters

| st | - the spectral transformation context

### Output Parameters

| str | - either SAME_NONZERO_PATTERN, DIFFERENT_NONZERO_PATTERN, SUBSET_NONZERO_PATTERN, or UNKNOWN_NONZERO_PATTERN

### See Also

STSetMatStructure(), STSetMatrices(), MatAXPY()

### Level

advanced

### Location

src/sys/classes/st/interface/stset.c

### Examples

src/pep/tutorials/ex40.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages